#ifndef DAVELINK_H
#define DAVELINK_H

#include <stdio.h>
#include <stdlib.h>

class TdlItem
	{
	public:
	TdlItem(const char *Item);
	char Data[255];
	TdlItem *Next;
	};

class TdlList
	{
	public:
	TdlList(const char *Name, const char *Group="NULL");
	const char* Next(void);
	void Add(const char *Data);
	void Reset(void); 
	const char* GetName(void);	
	int GetCount(void);
	const char* GetGroup(void);
	TdlList *NextList;
	void Replace(const char *oldtext, const char *newtext);
	private:
	char GroupName[254];
	char Name[64];
	int ItemCount;
	TdlItem *First;
	TdlItem *Current;
	TdlItem *Last;
	};

class TdlFile
	{
	public:
	TdlFile();
	int LoadFromFile(const char *filename);
	void ResetNext(void);
	TdlList* FindList(const char *listname);
	TdlList* NextList(void);
	int ClearNullList(void);
	void GlobalReplace(const char *oldtext, const char *newtext);
	char* Version(char *dest);
	private:
	TdlList *FirstList;
	TdlList *CurrentList;
	TdlList *LastList;
	};



#endif

